import request from '@/utils/request'
// 获取区下拉
export function bigDataHcAreaInfo(query) {
    return request({
        url: '/bigData/hc/hcAreaInfo',
        method: 'get',
        params: query
    })
}


// 获取乡镇下拉
export function bigDataHcCountyInfo(query) {
    return request({
        url: '/bigData/hc/hcCountyInfo',
        method: 'get',
        params: query
    })
}

//获取村级下拉
export function bigDataHcVillageInfo(query) {
    return request({
        url: '/bigData/hc/hcVillageInfo',
        method: 'get',
        params: query
    })
}

//底部统计接口  参数 orgCode, type(house或者 land) ,statusList(数组)
export function bigDataHcBottomOverview(query) {
    return request({
        url: '/bigData/hc/hcBottomOverview',
        method: 'get',
        params: query
    })
}

//左上角接口
export function bigDataHcLeftTopOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftTopOverview',
        method: 'get',
        params: query
    })
}

//左边中间接口
export function bigDataHcLeftCenterOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftCenterOverview',
        method: 'get',
        params: query
    })
}

//左下角统计
export function bigDataHcLeftBottomOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftBottomOverview',
        method: 'get',
        params: query
    })
}


//查询接口
export function bigDataHcSearch(query) {
    return request({
        url: '/bigData/hc/search',
        method: 'get',
        params: query
    })
}


//查询农地信息
export function bigDatahHcBottomSearch(query) {
    return request({
        url: '/bigData/hc/hcBottomSearch',
        method: 'get',
        params: query
    })
}

//获取接口地图地址
export function currentLocation(query) {
    return request({
        url: '/bigData/common/currentLocation',
        method: 'get',
        params: query
    })
}


//获取大足区收入总额、零收入组织数、镇街平均收入、组织平均收入
export function financeGetTotalData(query) {
    return request({
        url: '/bigData/finance/dzq/getTotalData',
        method: 'get',
        params: query
    })
}
//获取经营收入、经营支出、管理费用、发包收入、其他收入、 其他支出
export function financeGetDetailData(query) {
    return request({
        url: '/bigData/finance/dzq/getDetailData',
        method: 'get',
        params: query
    })
}

//集体经营性收入月度变化曲线
export function financeGetIncomeGroupByMonth(query) {
    return request({
        url: '/bigData/finance/dzq/getIncomeGroupByMonth',
        method: 'get',
        params: query
    })
}

//集体经营性收入村居排行榜
export function financeGetIncomeOrderByVillage(query) {
    return request({
        url: '/bigData/finance/dzq/getIncomeOrderByVillage',
        method: 'get',
        params: query
    })
}

//集体经营性收入镇街排行榜
export function financeGetIncomeOrderByTown(query) {
    return request({
        url: '/bigData/finance/dzq/getIncomeOrderByTown',
        method: 'get',
        params: query
    })
}

//资金总额和农村集体资金情况
export function financeGetCollectiveFunds(query) {
    return request({
        url: '/bigData/finance/dzq/getCollectiveFunds',
        method: 'get',
        params: query
    })
}
//资产总额和农村集体资产情况
export function financeGetCollectiveAssets(query) {
    return request({
        url: '/bigData/finance/dzq/getCollectiveAssets',
        method: 'get',
        params: query
    })
}


//资源总额和农村集体资源情况
export function financeGetCollectiveResources(query) {
    return request({
        url: '/bigData/finance/dzq/getCollectiveResources',
        method: 'get',
        params: query
    })
}

//天气接口
export function weatherInfo() {
    return request({
        url: '/bigData/common/weatherInfo',
        method: 'get'
    })
}

//收支情况村居排行
export function getVillageIncomeOrders(query) {
    return request({
        url: '/bigData/finance/dzq/getVillageIncomeOrders',
        method: 'get',
        params: query
    })
}

//收支情况镇街排行
export function getTownIncomeOrders(query) {
    return request({
        url: '/bigData/finance/dzq/getTownIncomeOrders',
        method: 'get',
        params: query
    })
}
